http://amplifybackend.{region}.amazonaws.com/backend/{appId}/job/{backendEnvironmentName}Lists the jobs for the backend of an Amplify app.
The app ID.
The name of the backend environment.
Pagination limit
Pagination token
The ID for the job.
Filters the list of response objects to include only those with the specified status.
The token for the next set of results.
Filters the list of response objects to include only those with the specified operation name.
The maximum number of results that you want in the response.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplifybackend.{region}.amazonaws.com/backend/{appId}/job/{backendEnvironmentName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://amplifybackend.{region}.amazonaws.com/backend/{appId}/job/{backendEnvironmentName}Lists the jobs for the backend of an Amplify app.
The app ID.
The name of the backend environment.
Pagination limit
Pagination token
The ID for the job.
Filters the list of response objects to include only those with the specified status.
The token for the next set of results.
Filters the list of response objects to include only those with the specified operation name.
The maximum number of results that you want in the response.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'http://amplifybackend.{region}.amazonaws.com/backend/{appId}/job/{backendEnvironmentName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}